Skip to main content
GET
/
v1
/
financials
/
ratios
Get Financial Ratios
curl --request GET \
  --url https://api.aries.com/v1/financials/ratios \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "ticker": "AAPL",
      "cik": "0000320193",
      "date": "2025-12-24",
      "price": 273.81,
      "averageVolume": 45872477,
      "marketCap": 4045913214930,
      "earningsPerShare": 7.58,
      "priceToEarnings": 36.12,
      "priceToBook": 54.87,
      "priceToSales": 9.72,
      "priceToCashFlow": 36.29,
      "priceToFreeCashFlow": 40.96,
      "dividendYield": 0.0038,
      "returnOnAssets": 0.3118,
      "returnOnEquity": 1.5191,
      "debtToEquity": 1.34,
      "current": 0.89,
      "quick": 0.86,
      "cash": 0.22,
      "evToSales": 9.87,
      "evToEbitda": 28.38,
      "enterpriseValue": 4108636214930,
      "freeCashFlow": 98767000000
    }
  ],
  "status": "OK",
  "requestId": "1fd04d305f74456cb3b304b705572a2c"
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

tickers
string

Single ticker or comma-separated list (e.g. AAPL or AAPL,MSFT,GOOG)

Example:

"AAPL"

tickerAfter
string

Ticker greater than (exclusive)

tickerFrom
string

Ticker greater than or equal (inclusive)

tickerBefore
string

Ticker less than (exclusive)

tickerTo
string

Ticker less than or equal (inclusive)

cik
string

CIK identifier

ciks
string

Comma-separated list of CIKs

cikAfter
string

CIK greater than (exclusive)

cikFrom
string

CIK greater than or equal (inclusive)

cikBefore
string

CIK less than (exclusive)

cikTo
string

CIK less than or equal (inclusive)

price
number<double>

Price (exact)

priceAbove
number<double>

Price greater than (exclusive)

priceMin
number<double>

Price greater than or equal (inclusive)

priceBelow
number<double>

Price less than (exclusive)

priceMax
number<double>

Price less than or equal (inclusive)

averageVolume
number<double>

Average volume (exact)

averageVolumeAbove
number<double>

Average volume greater than (exclusive)

averageVolumeMin
number<double>

Average volume greater than or equal (inclusive)

averageVolumeBelow
number<double>

Average volume less than (exclusive)

averageVolumeMax
number<double>

Average volume less than or equal (inclusive)

marketCap
number<double>

Market cap (exact)

marketCapAbove
number<double>

Market cap greater than (exclusive)

marketCapMin
number<double>

Market cap greater than or equal (inclusive)

marketCapBelow
number<double>

Market cap less than (exclusive)

marketCapMax
number<double>

Market cap less than or equal (inclusive)

eps
number<double>

Earnings per share (exact)

epsAbove
number<double>

EPS greater than (exclusive)

epsMin
number<double>

EPS greater than or equal (inclusive)

epsBelow
number<double>

EPS less than (exclusive)

epsMax
number<double>

EPS less than or equal (inclusive)

peRatio
number<double>

P/E ratio (exact)

peRatioAbove
number<double>

P/E ratio greater than (exclusive)

peRatioMin
number<double>

P/E ratio greater than or equal (inclusive)

peRatioBelow
number<double>

P/E ratio less than (exclusive)

peRatioMax
number<double>

P/E ratio less than or equal (inclusive)

pbRatio
number<double>

P/B ratio (exact)

pbRatioAbove
number<double>

P/B ratio greater than (exclusive)

pbRatioMin
number<double>

P/B ratio greater than or equal (inclusive)

pbRatioBelow
number<double>

P/B ratio less than (exclusive)

pbRatioMax
number<double>

P/B ratio less than or equal (inclusive)

psRatio
number<double>

P/S ratio (exact)

psRatioAbove
number<double>

P/S ratio greater than (exclusive)

psRatioMin
number<double>

P/S ratio greater than or equal (inclusive)

psRatioBelow
number<double>

P/S ratio less than (exclusive)

psRatioMax
number<double>

P/S ratio less than or equal (inclusive)

pcfRatio
number<double>

P/CF ratio (exact)

pcfRatioAbove
number<double>

P/CF ratio greater than (exclusive)

pcfRatioMin
number<double>

P/CF ratio greater than or equal (inclusive)

pcfRatioBelow
number<double>

P/CF ratio less than (exclusive)

pcfRatioMax
number<double>

P/CF ratio less than or equal (inclusive)

limit
integer

Maximum number of results

Required range: x >= 1
sort
string

Sort field

next
string

Pagination cursor

Response

Successful response

results
object[]
status
string
requestId
string